Home page logo
/

metasploit logo Metasploit mailing list archives

Metasploit on Windows
From: tkrpata at bjs.com (Krpata, Tyler)
Date: Thu, 18 Jan 2007 10:04:10 -0500

With that large a community of Windows users, I'd say let's let the MSF
core team focus their efforts on the functionality of the framework
itself, and let the community pick up compatibility as a project. 

-----Original Message-----
From: Nicolas RUFF [mailto:nicolas.ruff at gmail.com]
Sent: Thursday, January 18, 2007 9:22 AM
To: framework at metasploit.com
Subject: Re: [framework] Metasploit on Windows

Wow, what a bunch of people saying "we don't need Metasploit on
Windows"
! However let's have a look at the stats:

http://metasploit.com/archive/framework/msg00467.html

About 4400 sites are running version 2.4 on the Windows platform.
About 1600 sites are running version 2.4 on the Linux platform.
About 70 sites are running version 2.4 on the MacOS X platform.
About 55 sites are running version 2.4 on the FreeBSD platform.
About 20 sites are running version 2.4 on the OpenBSD platform.
Exactly 2 sites are running version 2.4 on the NetBSD platform.
Exactly 2 sites are running versino 2.4 on the Solaris platform.
Exactly 1 user figured out how to hide his OS information via -O.

Nearly 75% of Metasploit users are running Windows ! I guess they did
not find the way to subscribe to the mailing list ...

My vote : we don't need a Cygwin bundle with Metasploit, but ensuring
compatibility with Cygwin is still useful for many people out there.

Regards,
- Nicolas RUFF



  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault